Name:		oaf
Summary: Object activation framework for GNOME.
Version: 	0.6.7
Release:	4
License: 	LGPL and GPL
Group: System Environment/Libraries
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildPrereq:    libxml-devel
BuildPrereq:    ORBit-devel

%description
OAF is an object activation framework for GNOME. It uses ORBit.


%package devel
Summary: Libraries and include files for OAF
Group: System Environment/Libraries
Requires:	%name = %{version}

%description devel
Libraries and include files for Oaf.


%prep
%setup -q -n %{name}-%{version}

%build
%configure

make -k

%install
rm -fr %{buildroot}
#make -k prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install
%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/oaf/*.sample
%config %{_sysconfdir}/oaf/*.xml
%{_prefix}/bin/oaf-client
%{_prefix}/bin/oaf-run-query
%{_prefix}/bin/oaf-slay
%{_prefix}/bin/oaf-sysconf
%{_prefix}/bin/oafd
%{_prefix}/lib/*.0
%{_prefix}/lib/*.so
%{_prefix}/share/idl/*.idl
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/oaf.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/oaf.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/oaf.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/oaf.mo
%lang(no) %{_datadir}/locale/no/LC_MESSAGES/oaf.mo
%{_prefix}/share/oaf/*.oafinfo

%files devel
%defattr(-,root,root)
%dir %{_prefix}/include/liboaf
%{_prefix}/lib/*.la
%{_prefix}/include/liboaf/*.h
%{_prefix}/share/aclocal/*.m4
%{_prefix}/bin/oaf-config
%{_prefix}/lib/*.sh

%changelog
* Wed Feb 20 2002 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Dec 30 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- files owned by root instead of bin

* Tue Nov  6 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.6.7

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- move oaf-config and oafConf.sh to -devel

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- move to CVS snapshot with bugfix action

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Add BuildPrereq for libxml-devel and ORBit-devel (#49545)

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- why was oaf-devel obsoleting itself? That's dumb. fixed

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- remove all the bogus deffattrs, languify to satisfy rpmlint
- quiet setup

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon May 14 2001 Jonathan Blandford <jrb@redhat.com>
- fix changelog
- fix broken %%post step

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Added to Red Hat build system
- made use %%configure

* Tue Aug 29 2000 Maciej Stachowiak <mjs@eazel.com>
- corrected Copyright field and renamed it to License

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file (based on bonobo.spec.in)
